Bug 130826 - Web Inspector: AXI: expose aria-busy state of current and ancestor nodes
Summary: Web Inspector: AXI: expose aria-busy state of current and ancestor nodes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: James Craig
URL:
Keywords: InRadar
Depends on: 130725
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-27 01:49 PDT by James Craig
Modified: 2014-04-10 14:45 PDT (History)
5 users (show)

See Also:


Attachments
patch (4.55 KB, patch)
2014-04-10 01:02 PDT, James Craig
joepeck: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
patch (4.51 KB, patch)
2014-04-10 13:07 PDT, James Craig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2014-03-27 01:49:43 PDT
Web Inspector: AXI: expose aria-busy state of current and ancestor nodes
Comment 1 Radar WebKit Bug Importer 2014-03-27 01:50:44 PDT
<rdar://problem/16442373>
Comment 2 Radar WebKit Bug Importer 2014-03-27 01:50:55 PDT
<rdar://problem/16442375>
Comment 3 James Craig 2014-03-28 20:35:56 PDT
Current node support came in with bug 130725. Still need ancestor node support.
Comment 4 James Craig 2014-04-10 01:02:25 PDT
Created attachment 229028 [details]
patch
Comment 5 WebKit Commit Bot 2014-04-10 10:33:55 PDT
Comment on attachment 229028 [details]
patch

Rejecting attachment 229028 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 229028, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
chanize/_urllib2_fork.py", line 332, in _call_chain
    result = func(*args)
  File "/Volumes/Data/EWS/WebKit/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1170, in https_open
    return self.do_open(conn_factory, req)
  File "/Volumes/Data/EWS/WebKit/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1118, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error [Errno 8] nodename nor servname provided, or not known>

Full output: http://webkit-queues.appspot.com/results/6584475546812416
Comment 6 James Craig 2014-04-10 12:44:37 PDT
Not sure what that CQ error means. It was just a few revs off from TOT when I made the patch, so I don't think it's a merge conflict. I'll try updating the patch to today's TOT anyway.
Comment 7 James Craig 2014-04-10 12:48:43 PDT
Filed bug 131505 for the webkit-patch crash.
Comment 8 James Craig 2014-04-10 13:07:39 PDT
Created attachment 229072 [details]
patch

There's no difference in this TOT patch than the changelog update and rev numbers. Let's try the CQ+ again then I'll have someone else land the patch for me if webkit-patch is still broken.
Comment 9 WebKit Commit Bot 2014-04-10 14:45:03 PDT
Comment on attachment 229072 [details]
patch

Clearing flags on attachment: 229072

Committed r167089: <http://trac.webkit.org/changeset/167089>
Comment 10 WebKit Commit Bot 2014-04-10 14:45:06 PDT
All reviewed patches have been landed.  Closing bug.